Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:2.8.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21646

Description

DBManager doesn't allow to load PostGis Raster with a number as first character. The same Raster into PostGis can't be load if the first

character of table name is a digit.

Here, some tests with table name:

rast : allowed

2rast : unallowed

_rast : allowed

History

#1 - 2015-10-25 02:39 AM - Sebastian Dietrich

This is a GDAL bug. GDAL does not quote identifiers, usernames and passwords. Instead it actually removes quotes when they are given in the connection

string.

While rast does not need quoting, 2rast needs to be quoted. So SELECT * FROM rast works but SELECT * FROM 2rast gives a syntax error.

To reproduce run on the commandline:

gdalinfo "PG: dbname=database host=127.0.0.1 user=username password=pass port=5432 mode=2 schema=public column=rast table=2rast" 

Note that the following are related errors:

    -  schemanames/layernames/columnnames containing uppercase letters

    -  schemanames/layernames/columnnames containing spaces

    -  schemas/layers/columns with a keyword as a name (e.g. select)

    -  databasenames/usernames/passwords containing spaces

So please close this bug and head over to the GDAL PostGIS Raster driver and open a new one there.

#2 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed
http://www.postgresql.org/docs/current/static/sql-keywords-appendix.html
https://trac.osgeo.org/gdal/wiki/frmts_wtkraster.html#a4-Reportingproblems


End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

